package org.eclipse.birt.chart.reportitem.ui.dialogs.widget;

import org.eclipse.birt.report.designer.internal.ui.views.attributes.provider.PropertyDescriptorProvider;
import org.eclipse.birt.report.designer.ui.views.attributes.providers.ChoiceSetFactory;
import org.eclipse.birt.report.designer.util.DEUtil;
import org.eclipse.birt.report.model.api.GroupElementHandle;
import org.eclipse.birt.report.model.api.ReportDesignHandle;
import org.eclipse.birt.report.model.api.ReportItemHandle;
import org.eclipse.birt.report.model.api.StyleHandle;
import org.eclipse.birt.report.model.api.metadata.IChoiceSet;


public class ChoicePropertyDescriptorProvider extends
		PropertyDescriptorProvider
{

	public ChoicePropertyDescriptorProvider( String property, String element )
	{
		super( property, element );
		// TODO Auto-generated constructor stub
	}
	
	String[] values = null;
	public String[] getItems(){
		if ( ReportItemHandle.DATA_SET_PROP.equals( getProperty( ) ) )
			return ChoiceSetFactory.getDataSets( );
		else if ( StyleHandle.MASTER_PAGE_PROP.equals( getProperty( ) ) )
			return ChoiceSetFactory.getMasterPages( );
		else if ( ReportItemHandle.STYLE_PROP.equals( getProperty( ) ) )
			return ChoiceSetFactory.getStyles( );
		else if ( ReportDesignHandle.THEME_PROP.equals( getProperty( ) ) )
			return ChoiceSetFactory.getThemes( );
		else
		{
			IChoiceSet cset = getChoiceSet(  );
			values = ChoiceSetFactory.getNamefromChoiceSet( cset );
			return ChoiceSetFactory.getDisplayNamefromChoiceSet( cset );
			
		}
	}
	
	public String[] getValues(){
		return values;
	}
	
	private IChoiceSet getChoiceSet( )
	{
		GroupElementHandle multiSelectionHandle = DEUtil.getMultiSelectionHandle( DEUtil.getInputElements( input ) );
		return multiSelectionHandle.getPropertyHandle( getProperty( ) )
				.getPropertyDefn( )
				.getChoices( );
	}
	
	public boolean assertProperty(){
		return ReportItemHandle.STYLE_PROP.equals( getProperty( ) )
		|| ReportDesignHandle.THEME_PROP.equals( getProperty( ) );
	}

}
