/*******************************************************************************
 * Copyright (c) 2004, 2007 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.data.engine.aggregation;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.birt.data.engine.api.aggregation.IAggregationInfo;
import org.eclipse.birt.data.engine.api.aggregation.IParameterInfo;

/**
 * 
 */

public class AggregationInfo extends UIInfo implements IAggregationInfo
{

	private List parameters = new ArrayList( );
	private boolean needDataField = true;

	/**
	 * 
	 * @param name
	 */
	public AggregationInfo( String name )
	{
		super( name );
	}

	/**
	 * @param name
	 * @param displayNameKey
	 * @param toolTipKey
	 */
	public AggregationInfo( String name, String displayNameKey )
	{
		super( name, displayNameKey );
	}

	/**
	 * @param parameters
	 *            the arguments to set
	 */
	public void addParameter( IParameterInfo argument )
	{
		parameters.add( argument );
	}

	/**
	 * @param needDataField
	 *            the needDataField to set
	 */
	public void setNeedDataField( boolean needDataField )
	{
		this.needDataField = needDataField;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.data.engine.api.aggregation.IAggregationInfo#getParameters()
	 */
	public List getParameters( )
	{
		return parameters;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.data.engine.api.aggregation.IAggregationInfo#needDataField()
	 */
	public boolean needDataField( )
	{
		return needDataField;
	}
}
