/*******************************************************************************
 * Copyright (c) 2004, 2007 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.data.engine.aggregation;

import org.eclipse.birt.data.engine.api.aggregation.IParameterInfo;

/**
 * 
 */

public class ParameterInfo extends UIInfo implements IParameterInfo
{

	private boolean isOptional;

	/**
	 * 
	 * @param name
	 */
	public ParameterInfo( String name )
	{
		this( name, false );
	}

	/**
	 * 
	 * @param name
	 * @param isOptional
	 */
	public ParameterInfo( String name, boolean isOptional )
	{
		super( name );
		this.isOptional = isOptional;
	}

	/**
	 * @param name
	 * @param displayNameKey
	 * @param toolTipKey
	 */
	public ParameterInfo( String name, String displayNameKey )
	{
		this( name, displayNameKey, false );
	}

	/**
	 * 
	 * @param name
	 * @param displayNameKey
	 * @param isOptional
	 */
	public ParameterInfo( String name, String displayNameKey, boolean isOptional )
	{
		super( name, displayNameKey );
		this.isOptional = isOptional;
	}

	/**
	 * @param isOptional
	 *            the isOptional to set
	 */
	public void setOptional( boolean isOptional )
	{
		this.isOptional = isOptional;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.birt.data.engine.api.aggregation.IArgumentInfo#isOptional()
	 */
	public boolean isOptional( )
	{
		return isOptional;
	}
}
