/*******************************************************************************
 * Copyright (c) 2004, 2005 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.report.data.oda.jdbc.ui.util;

/**
 * Procedure obejct
 */

public class Procedure
{
	/**Procedure name**/
	private String name;
	
	/**Procedure schema**/
	private String schema;
	
	/**Procedure catalog**/
	private String catalog;
	
	private boolean isEqual = false;
	
	/**
	 * Set procedure name
	 * @param procedureName
	 */
	public void setProcedureName( String procedureName )
	{
		this.name = procedureName;
	}
	
	/**
	 * get procedure name
	 * @return
	 */
	public String getProcedureName( )
	{
		return this.name;
	}
	
	/**
	 * get procedure name with schema
	 * @return
	 */
	public String getProcedureNameWithSchema( )
	{
		return this.schema == null ? this.name : this.schema + "." + this.name;
	}
	
	/**
	 * set schema name
	 * @param schema
	 */
	public void setSchema( String schema )
	{
		this.schema = schema;
	}
	
	/**
	 * get schema name
	 * @return
	 */
	public String getSchema( )
	{
		return this.schema;
	}
	
	/**
	 * set catalog name
	 * @param catalog
	 */
	public void setCatalog( String catalog )
	{
		this.catalog = catalog;
	}
	
	/**
	 * get catalog name
	 * @return
	 */
	public String getCatalog( )
	{
		return catalog;
	}
	
	/**
	 * compare two procedure.If these two procedures have same name, catalog, schema,
	 * return true.
	 * @param pro
	 * @return
	 */
	public boolean isEqualWith( Procedure pro )
	{
		isEqual = false;
		if ( this.name == pro.getProcedureName( )
				&& this.catalog == pro.getCatalog( )
				&& this.schema == pro.getSchema( ) )
			isEqual = true;
		else if ( name == null || catalog == null || schema == null )
			isEqual = false;
		else if ( this.name.equals( pro.getProcedureName( ) )
				&& this.catalog.equals( pro.getCatalog( ) )
				&& this.schema.equals( pro.getSchema( ) ) )
			isEqual = true;
		return isEqual;
	}
}
