/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.extension.internal;

import org.eclipse.birt.report.engine.executor.ExecutionContext;
import org.eclipse.birt.report.engine.extension.IQueryResultSet;


public class SingleRowSet extends RowSet
{	
	boolean isFirstCalled = true;
	public SingleRowSet( ExecutionContext context, IQueryResultSet rset )
	{
		super( context, rset );
	}

	/**
	 * We only return the current one record of the parent's resultSet.
	 */
	public boolean next( )
	{
		if ( isFirstCalled )
		{
			isFirstCalled = false;
			return true;
		}
		return false;
	}
	
	public void close( )
	{
		return;
	}

}
